> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve dispute alert

> Retrieves the details of an existing dispute alert.

Required permissions:
 - `payment:dispute_alert:read`
 - `payment:basic:read`
 - `member:email:read`
 - `member:basic:read`
 - `member:phone:read`
 - `payment:dispute:read`



## OpenAPI

````yaml /openapi/api-v1-stable.json get /dispute_alerts/{id}
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: 2026-07-08-1
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /dispute_alerts/{id}:
    get:
      tags:
        - Dispute alerts
      summary: Retrieve dispute alert
      description: |-
        Retrieves the details of an existing dispute alert.

        Required permissions:
         - `payment:dispute_alert:read`
         - `payment:basic:read`
         - `member:email:read`
         - `member:basic:read`
         - `member:phone:read`
         - `payment:dispute:read`
      operationId: retrieveDisputeAlert
      parameters:
        - description: The unique identifier of the dispute alert.
          in: path
          name: id
          required: true
          schema:
            example: dspa_xxxxxxxxxxxxx
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisputeAlert'
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth:
            - payment:dispute_alert:read
            - payment:basic:read
            - member:email:read
            - member:basic:read
            - member:phone:read
            - payment:dispute:read
components:
  schemas:
    DisputeAlert:
      description: >-
        A dispute alert represents an early warning notification from a payment
        processor about a potential dispute or chargeback.
      properties:
        alert_type:
          $ref: '#/components/schemas/DisputeAlertTypes'
          description: The type of the dispute alert.
        amount:
          description: The alerted amount in the specified currency.
          example: 6.9
          type: number
        charge_for_alert:
          description: Whether this alert incurs a charge.
          type: boolean
        created_at:
          description: The time the dispute alert was created.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        currency:
          $ref: '#/components/schemas/Currencies'
          description: The three-letter ISO currency code for the alerted amount.
        dispute:
          description: The dispute associated with the dispute alert.
          properties:
            amount:
              description: >-
                The disputed amount in the specified currency, formatted as a
                decimal.
              example: 6.9
              type: number
            created_at:
              description: The datetime the dispute was created.
              example: '2023-12-01T05:00:00.401Z'
              format: date-time
              type:
                - string
                - 'null'
            currency:
              $ref: '#/components/schemas/Currencies'
              description: The three-letter ISO currency code for the disputed amount.
            id:
              description: The unique identifier for the dispute.
              example: dspt_xxxxxxxxxxxxx
              type: string
            reason:
              description: A human-readable reason for the dispute.
              example: Product Not Received
              type:
                - string
                - 'null'
            status:
              $ref: '#/components/schemas/DisputeStatuses'
              description: >-
                The current status of the dispute lifecycle, such as
                needs_response, under_review, won, or lost.
          required:
            - id
            - amount
            - currency
            - status
            - reason
            - created_at
          type:
            - object
            - 'null'
        id:
          description: The unique identifier of the dispute alert.
          example: dspa_xxxxxxxxxxxxx
          type: string
        payment:
          description: The payment associated with the dispute alert.
          properties:
            billing_reason:
              description: >-
                The machine-readable reason this charge was created, such as
                initial subscription purchase, renewal cycle, or one-time
                payment.
              oneOf:
                - $ref: '#/components/schemas/BillingReasons'
                - type: 'null'
            card_brand:
              description: >-
                Card network reported by the processor (e.g., 'visa',
                'mastercard', 'amex'). Present only when the payment method type
                is 'card'.
              oneOf:
                - $ref: '#/components/schemas/CardBrands'
                - type: 'null'
            card_last4:
              description: >-
                The last four digits of the card used to make this payment. Null
                if the payment was not made with a card.
              example: '4242'
              type:
                - string
                - 'null'
            created_at:
              description: The datetime the payment was created.
              example: '2023-12-01T05:00:00.401Z'
              format: date-time
              type: string
            currency:
              $ref: '#/components/schemas/Currencies'
              description: >-
                The three-letter ISO currency code for this payment (e.g.,
                'usd', 'eur').
            dispute_alerted_at:
              description: When an alert came in that this transaction will be disputed
              example: '2023-12-01T05:00:00.401Z'
              format: date-time
              type:
                - string
                - 'null'
            id:
              description: The unique identifier for the payment.
              example: pay_xxxxxxxxxxxxxx
              type: string
            member:
              description: The member attached to this payment.
              properties:
                id:
                  description: The unique identifier for the company member.
                  type: string
                phone:
                  description: The phone number for the member, if available.
                  type:
                    - string
                    - 'null'
              required:
                - id
                - phone
              type:
                - object
                - 'null'
            membership:
              description: The membership attached to this payment.
              properties:
                id:
                  description: The unique identifier for the membership.
                  example: mem_xxxxxxxxxxxxxx
                  type: string
                status:
                  $ref: '#/components/schemas/MembershipStatus'
                  description: The state of the membership.
              required:
                - id
                - status
              type:
                - object
                - 'null'
            paid_at:
              description: >-
                The time at which this payment was successfully collected. Null
                if the payment has not yet succeeded. As a Unix timestamp.
              example: '2023-12-01T05:00:00.401Z'
              format: date-time
              type:
                - string
                - 'null'
            payment_method_type:
              description: >-
                The type of payment instrument used for this payment (e.g.,
                card, Cash App, iDEAL, Klarna, crypto). Null when the processor
                does not supply a type.
              oneOf:
                - $ref: '#/components/schemas/PaymentMethodTypes'
                - type: 'null'
            subtotal:
              description: The subtotal to show to the creator (excluding buyer fees).
              example: 6.9
              type:
                - number
                - 'null'
            total:
              description: The total to show to the creator (excluding buyer fees).
              example: 6.9
              type:
                - number
                - 'null'
            usd_total:
              description: The total in USD to show to the creator (excluding buyer fees).
              example: 6.9
              type:
                - number
                - 'null'
            user:
              description: The user that made this payment.
              properties:
                email:
                  description: >-
                    The user's email address. Requires the member:email:read
                    permission to access. Null if not authorized.
                  example: john.doe@example.com
                  type:
                    - string
                    - 'null'
                id:
                  description: The unique identifier for the user.
                  example: user_xxxxxxxxxxxxx
                  type: string
                name:
                  description: The user's display name shown on their public profile.
                  example: John Doe
                  type:
                    - string
                    - 'null'
                username:
                  description: The user's unique username shown on their public profile.
                  example: johndoe42
                  type: string
              required:
                - id
                - name
                - username
                - email
              type:
                - object
                - 'null'
          required:
            - id
            - total
            - subtotal
            - usd_total
            - currency
            - created_at
            - paid_at
            - dispute_alerted_at
            - payment_method_type
            - billing_reason
            - card_brand
            - card_last4
            - user
            - member
            - membership
          type:
            - object
            - 'null'
        transaction_date:
          description: The date of the original transaction.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type:
            - string
            - 'null'
      required:
        - id
        - alert_type
        - amount
        - currency
        - created_at
        - transaction_date
        - charge_for_alert
        - payment
        - dispute
      type: object
    DisputeAlertTypes:
      description: The type of dispute alert.
      enum:
        - dispute
        - dispute_rdr
        - fraud
      type: string
    Currencies:
      description: The available currencies on the platform
      enum:
        - usd
        - sgd
        - inr
        - aud
        - brl
        - cad
        - dkk
        - eur
        - nok
        - gbp
        - sek
        - chf
        - hkd
        - huf
        - jpy
        - mxn
        - myr
        - pln
        - czk
        - nzd
        - aed
        - eth
        - ape
        - cop
        - ron
        - thb
        - bgn
        - idr
        - dop
        - php
        - try
        - krw
        - twd
        - vnd
        - pkr
        - clp
        - uyu
        - ars
        - zar
        - dzd
        - tnd
        - mad
        - kes
        - kwd
        - jod
        - all
        - xcd
        - amd
        - bsd
        - bhd
        - bob
        - bam
        - khr
        - crc
        - xof
        - egp
        - etb
        - gmd
        - ghs
        - gtq
        - gyd
        - ils
        - jmd
        - mop
        - mga
        - mur
        - mdl
        - mnt
        - nad
        - ngn
        - mkd
        - omr
        - pyg
        - pen
        - qar
        - rwf
        - sar
        - rsd
        - lkr
        - tzs
        - ttd
        - uzs
        - rub
        - btc
        - cny
        - usdt
        - kzt
        - awg
        - whop_usd
        - xau
      type: string
    DisputeStatuses:
      description: The possible statuses of a dispute
      enum:
        - warning_needs_response
        - warning_under_review
        - warning_closed
        - needs_response
        - under_review
        - won
        - lost
        - closed
        - other
      type: string
    BillingReasons:
      description: The reason why a specific payment was billed
      enum:
        - subscription_create
        - subscription_cycle
        - subscription_update
        - one_time
        - manual
        - subscription
      type: string
    CardBrands:
      description: Possible card brands that a payment token can have
      enum:
        - mastercard
        - visa
        - amex
        - discover
        - unionpay
        - jcb
        - diners
        - link
        - troy
        - visadankort
        - visabancontact
        - china_union_pay
        - rupay
        - jcbrupay
        - elo
        - maestro
        - tarjeta_naranja
        - cirrus
        - nspk_mir
        - verve
        - ebt
        - private_label
        - local_brand
        - uatp
        - wexcard
        - uzcard
        - meeza
        - hrg_store_card
        - girocard
        - fuel_card
        - dankort
        - carnet
        - atm_card
        - china_union_payuzcard
        - codensa
        - cabal
        - hipercard
        - jcblankapay
        - cmi
        - aura
        - unknown
      type: string
    MembershipStatus:
      description: The status of a membership
      enum:
        - trialing
        - active
        - past_due
        - completed
        - canceled
        - expired
        - unresolved
        - drafted
        - canceling
      type: string
    PaymentMethodTypes:
      description: The different types of payment methods that can be used.
      enum:
        - acss_debit
        - affirm
        - afterpay_clearpay
        - alipay
        - alma
        - amazon_pay
        - apple
        - apple_pay
        - au_bank_transfer
        - au_becs_debit
        - bacs_debit
        - bancolombia
        - bancontact
        - billie
        - bizum
        - blik
        - boleto
        - bre_b
        - ca_bank_transfer
        - capchase_pay
        - card
        - card_installments_three
        - card_installments_six
        - card_installments_twelve
        - cashapp
        - claritypay
        - coinbase
        - crypto
        - custom
        - customer_balance
        - demo_pay
        - efecty
        - eps
        - eu_bank_transfer
        - fpx
        - gb_bank_transfer
        - giropay
        - google_pay
        - gopay
        - grabpay
        - id_bank_transfer
        - ideal
        - interac
        - kakao_pay
        - klarna
        - klarna_pay_now
        - konbini
        - kr_card
        - kr_market
        - kriya
        - kueski
        - link
        - mb_way
        - m_pesa
        - mercado_pago
        - mobilepay
        - mondu
        - multibanco
        - naver_pay
        - nequi
        - netbanking
        - ng_bank
        - ng_bank_transfer
        - ng_card
        - ng_market
        - ng_ussd
        - ng_wallet
        - nz_bank_account
        - oxxo
        - p24
        - pago_efectivo
        - pse
        - pay_by_bank
        - payco
        - paynow
        - paypal
        - paypay
        - payto
        - pix
        - platform_balance
        - promptpay
        - qris
        - rechnung
        - revolut_pay
        - samsung_pay
        - satispay
        - scalapay
        - sencillito
        - sepa_debit
        - sequra
        - servipag
        - sezzle
        - shop_pay
        - shopeepay
        - sofort
        - south_korea_market
        - spei
        - splitit
        - sunbit
        - swish
        - tamara
        - twint
        - upi
        - us_bank_account
        - us_bank_transfer
        - venmo
        - vipps
        - webpay
        - wechat_pay
        - yape
        - zip
        - coinflow
        - unknown
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      type: http

````